Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225095 - chemical-mime-data: useless debuginfo package
Summary: chemical-mime-data: useless debuginfo package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: chemical-mime-data
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 22:26 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.1.93-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-29 15:26:11 UTC


Attachments (Terms of Use)
Updated spec (deleted)
2007-01-28 23:16 UTC, Julian Sikorski
no flags Details
Install to /usr/share/pkgconfig, change to noarch (deleted)
2007-01-28 23:29 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-01-28 22:26:13 UTC
chemical-mime-data produces a useless empty debuginfo package, apparently
due to (rightfully) being noarch content in an arch specific package due to
install paths.

Fix: disable -debuginfo with %define debug_package %{nil}
http://fedoraproject.org/wiki/Packaging/Debuginfo

Comment 1 Julian Sikorski 2007-01-28 23:13:25 UTC
Well, the install paths thing is a bit weird. Upstream suggests that the
pkgconfig file should go to %{_datadir}/pkgconfig rather than to
%{_libdir}/pkgconfig. On the other hand, shared-mime-info and gnome-mime-data
install their .pc files to %{_libdir}/pkgconfig. I'm not sure which approach is
correct.
As for the fix, I'll attach a new spec but due to the nature of the internet
connection I'm currently using (HTTP proxy), I won't be able to commit that.
Feel free to do this.

Comment 2 Julian Sikorski 2007-01-28 23:16:13 UTC
Created attachment 146796 [details]
Updated spec

Comment 3 Ville Skyttä 2007-01-28 23:29:09 UTC
Created attachment 146798 [details]
Install to /usr/share/pkgconfig, change to noarch

Actually, I think installing to /usr/share/pkgconfig and changing to noarch is
a much better solution.  The pkgconfig file contains an unnecessary libdir
which varies between archs and should be pruned (upstream should be interested
in this) - this patch takes care of that and it should be good to go IMO.  Let
me know if you'd like me to commit this one instead.

Comment 4 Ville Skyttä 2007-01-28 23:33:19 UTC
Oh, and bugs against shared-mime-info and gnome-mime-data should probably be
filed, I'll look into it.  shared-mime-info installs an arch dependent
executable so it doesn't benefit much, but gnome-mime-data looks like a noarch
candidate after the fix.

Comment 5 Julian Sikorski 2007-01-29 01:17:50 UTC
OK, please commit your version. One of the packages mentioned above contains a
notice in spec that it is not noarch, I think that was shared-mime-info.

Comment 6 Julian Sikorski 2007-01-29 01:18:32 UTC
OK, please commit your version. One of the packages mentioned above contains a
notice in spec that it is not noarch, I think that was shared-mime-info. I'll
contact upstream about pruning the libdir.

Comment 7 Ville Skyttä 2007-01-29 15:26:11 UTC
Done for devel, build in progress:
http://buildsys.fedoraproject.org/build-status/job.psp?uid=26611

I already submitted a (messy) shared-mime-info bug report upstream,
https://bugs.freedesktop.org/show_bug.cgi?id=9789 , but it'd be great if you
could do it for gnome-mime-data.

Comment 8 Julian Sikorski 2007-01-30 22:12:28 UTC
Quoting gnome bugzilla:
“Sorry, entering bugs into the product gnome-mime-data has been disabled.”

Comment 9 Julian Sikorski 2007-02-05 11:52:51 UTC
Upstream chemical-mime removed unnecessary .pc entries.

Comment 10 Ville Skyttä 2007-02-06 20:12:06 UTC
gnome-mime-data: bug 227553


Note You need to log in before you can comment on or make changes to this bug.